## amiga-fdisk 0.03a

=== Makefile ===
# Makefile -- Makefile for AFDisk
#
# Copyright 1996 Stefan Reinauer (stepan@matrix.kommune.schokola.de)
#

CC=             gcc
CFLAGS=         -O2 -fomit-frame-pointer -Wall -I./include
LDFLAGS=        # -s -N

# Where to put binaries?
# See the "install" rule for the links. . .

SBIN= 		afdisk

# Where to put datebase files?

all: $(SBIN)

afdisk: amigastuff.o fdisk.o
	$(CC) $(LDFLAGS) $^ -o $@

install: all
	$(INSTALLDIR) $(SBINDIR)
	$(INSTALLBIN) $(SBIN) $(SBINDIR)

clean:
	-rm -f *.o *~ $(SBIN)

tidy:
	-rm -f *.o *~
	-strip afdisk

## amiga-fdisk 0.04

=== Makefile ===
# Makefile -- Makefile for amiga-fdisk
#
# Copyright '96-'98 Stefan Reinauer (stepan@linux.de)
#

CC=             gcc
CFLAGS=         -O2 -fomit-frame-pointer -Wall -I./include
#CFLAGS=         -g -fomit-frame-pointer -Wall -I./include -DDEBUG
LDFLAGS=        # -s -N
LIBS=		-lreadline

# Where to put binaries?
# See the "install" rule for the links. . .

SBIN= 		amiga-fdisk

# Where to put datebase files?

all: $(SBIN)

amiga-fdisk: amigastuff.o fdisk.o
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

install: all
	$(INSTALLDIR) $(SBINDIR)
	$(INSTALLBIN) $(SBIN) $(SBINDIR)

clean:
	-rm -f *.o *~ core $(SBIN)

tidy:
	-rm -f *.o *~ core 
	-strip amiga-fdisk

=== debian/changelog ===
amiga-fdisk (0.04-18) unstable; urgency=medium

  * Explicitly define block argument as int (closes: #1074807).
  * Add brackets to correctly guard statements in if-clause.
  * Add simple smoketest for amiga-fdisk-cross.
  * Use unsigned int to fix warnings.

 -- Christian T. Steigies <cts@debian.org>  Sun, 29 Dec 2024 17:30:47 +0100

amiga-fdisk (0.04-17) unstable; urgency=medium

  * Apply patch from Chris Hofstaedtler:
    Move files from /sbin to /usr/sbin (closes: 1056941)

 -- Christian T. Steigies <cts@debian.org>  Sun, 03 Dec 2023 15:09:51 +0100

amiga-fdisk (0.04-16) unstable; urgency=medium

  * update Standards-Version to 4.6.2 (no changes)
  * Bump to debhelper 13, use DH_OPTIONS=-a instead of -s

 -- Christian T. Steigies <cts@debian.org>  Sun, 29 Jan 2023 15:50:36 +0100

amiga-fdisk (0.04-15) unstable; urgency=low

  * change Architecture to linux-any (closes: #745176)
  * do not duplicate Priority and Section field in control file
  * enable hardening with dpkg-buildflags, requires debhelper 9
  * Updated Standards-Version to 3.9.5:
    add build-arch and build-indep targets
  * use dh_prep instead of dh_clean -k

 -- Christian T. Steigies <cts@debian.org>  Mon, 25 Aug 2014 22:52:37 +0200

amiga-fdisk (0.04-14) unstable; urgency=low

  * rebuild
  * Switch to dpkg-source 3.0 (quilt) format
  * Updated Standards-Version to 3.9.2 (no changes)
  * build-depend on libreadline-dev
  * add ${misc:Depends} to Depends

 -- Christian T. Steigies <cts@debian.org>  Thu, 27 Oct 2011 23:10:27 +0200

amiga-fdisk (0.04-13) unstable; urgency=low

  * change arch list for amiga-fdisk-cross to any (closes: #497165, #540003)
  * Updated Standards-Version to 3.8.2:
    place amiga-fdisk-bf in admin section instead of base,
    place amiga-fdisk-cross in otherosfs section
  * amiga-fdisk is now maintained via alioth, added Homepage

 -- Christian T. Steigies <cts@debian.org>  Wed, 05 Aug 2009 20:29:46 +0200

amiga-fdisk (0.04-12) unstable; urgency=low

  * add armel and armeb to architecture list (closes: #461081)
  * Updated Standards-Version to 3.7.3 (no changes)
  * fix lintian warning: do not use DH_COMPAT
  * fix lintian warning: do not ignore make clean errors

 -- Christian T. Steigies <cts@debian.org>  Thu, 31 Jan 2008 22:49:44 +0100

amiga-fdisk (0.04-11) unstable; urgency=low

  * postinst: check if /proc/hardware exists before reading it (closes: #329787)

 -- Christian T. Steigies <cts@debian.org>  Sat, 14 Jan 2006 20:16:11 +0100

amiga-fdisk (0.04-10) unstable; urgency=low

  * rebuild with libreadline5-dev (closes: #326389)
  * lower Priority to standard (closes: #217848)
  * Updated Standards-Version to 3.6.2 (no changes)
  * use debhelper compatability version 4
  * use dh_installman instead of dh_installmanpages

 -- Christian T. Steigies <cts@debian.org>  Sat,  3 Sep 2005 21:36:04 +0200

amiga-fdisk (0.04-9) unstable; urgency=low

  * apply patch from David Weinehall to remove XSI:ism (closes: #256298)

 -- Christian T. Steigies <cts@debian.org>  Fri,  2 Jul 2004 23:55:14 +0200

amiga-fdisk (0.04-8) unstable; urgency=low

  * Updated Standards-Version to 3.6.1 (no changes)
  * create a new package amiga-fdisk-cross for any arch, except m68k and powerpc
    amiga-fdisk (required) and amiga-fdisk-bf stay m68k+powerpc only (closes: #252339)
  * do not include "broken" include files in amigastuff.c (closes: #252709)
    #include <netinet/in.h> instead, also in fdisk.c
  * get rid of remaining warnings by explicit type conversion
  * do not call dh_suidregister anymore (again?)
  * fix Author(s) in copyright
  * do not ship upstream ChangeLog twice (second copy was uncompressed,
    removed ChangeLog from amiga-fdisk-bf.docs)
  * apply patch from Sven Luther (closes: #212840), this code is only executed when
    the disk does not report the geometry, never happened for me.
  * print a warning when the calculated number of cylinders does not fit in 16-bit.

 -- Christian T. Steigies <cts@debian.org>  Thu, 17 Jun 2004 23:45:31 +0200

amiga-fdisk (0.04-7) unstable; urgency=low

  * apply patch as supplied by Matt Kraai, which preserves newlines 
    (closes: #212880).

 -- Christian T. Steigies <cts@debian.org>  Tue, 18 Nov 2003 08:36:09 -0500

amiga-fdisk (0.04-6.1) unstable; urgency=low

  * Non-maintainer upload
  * Apply patch from Matt Kraai <kraai@ftbfs.org> so it will build with
    gcc-3.3 (closes: #212880).

 -- Steve Langasek <vorlon@debian.org>  Tue, 18 Nov 2003 05:33:41 +0000

amiga-fdisk (0.04-6) unstable; urgency=low

  * new maintainer, no source changes, closing bugs in the base system
  * 0.04 has been uploaded in December 1999 (closes: #36258) first half
    reopen/retitle as a wishlist bug if you have to, fdisk-cross will follow
  * amiga-fdisk-bf works since May 2000 (closes: #64596)
  * add Build-Depends (closes: #70077, #70164)
  * updated Standards-Version
  * remove dh_suidregister call
  * make copyright point to LPGL-2 file instead of citing (with old address)

 -- Christian T. Steigies <cts@debian.org>  Sat,  8 Sep 2001 12:41:12 -0400

amiga-fdisk (0.04-5) stable unstable; urgency=low

  * Non-maintainer upload.
  * build amiga-fdisk and amiga-fdisk-bf from one source package
  * rearrange section and priority of both packages (closes: #72227)
  * this package is needed for the 2.2r1 boot-floppies, thus upload for stable

 -- Christian T. Steigies <cts@debian.org>  Thu, 19 Oct 2000 19:11:38 +0200

amiga-fdisk-bf (0.04-4) frozen unstable; urgency=high

  * Non-maintainer upload.
  * quick hack to make partition type selection work for amiga-fdisk-bf

 -- Christian T. Steigies <cts@debian.org>  Tue, 30 May 2000 15:29:43 +0200

amiga-fdisk-bf (0.04-3) frozen unstable; urgency=high

  * fix a segfault when partitions with long partition type names are used
  * minimal code change to the previous version:
  --- amiga-fdisk-0.04/amigastuff.c~      Tue May 16 23:11:45 2000
  +++ amiga-fdisk-0.04/amigastuff.c       Wed May 17 13:19:26 2000
  @@ -57,7 +57,7 @@


=== debian/control ===
Source: amiga-fdisk
Section: admin
Priority: standard
Maintainer: Christian T. Steigies <cts@debian.org>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13),
               libreadline-dev
Homepage: https://salsa.debian.org/cts/amiga-fdisk
Vcs-Browser: https://salsa.debian.org/cts/amiga-fdisk
Vcs-Git: https://salsa.debian.org/cts/amiga-fdisk.git

Package: amiga-fdisk
Architecture: m68k powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: amiga-fdisk-bf
Replaces: amiga-fdisk-bf, amiga-fdisk-cross
Description: Partition editor for Amiga
 Amiga-fdisk is, similar to fdisk for PCs, a program to partition
 harddisks. Though it seems to work quite well, it's still got some
 sort of beta status. It's suggested that you still use the AmigaDOS
 native tool "HDToolBox" to partition your harddisks and use
 amiga-fdisk only for querying partition information.

Package: amiga-fdisk-bf
Priority: optional
Architecture: m68k powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: amiga-fdisk, amiga-fdisk-cross
Description: Partition editor for Amiga (boot-floppies version)
 Amiga-fdisk is, similar to fdisk for PCs, a program to partition
 harddisks. Though it seems to work quite well, it's still got some
 sort of beta status. It's suggested that you still use the AmigaDOS
 native tool "HDToolBox" to partition your harddisks and use
 amiga-fdisk only for querying partition information.
 This is the boot-floppies version, you should upgrade to the full 
 version as soon as possible.

Package: amiga-fdisk-cross
Section: otherosfs
Priority: optional
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: amiga-fdisk, amiga-fdisk-bf
Description: Partition editor for Amiga partitions (cross version)
 Amiga-fdisk is, similar to fdisk for PCs, a program to partition
 harddisks. Though it seems to work quite well, it's still got some
 sort of beta status. It's suggested that you still use the AmigaDOS
 native tool "HDToolBox" to partition your harddisks and use
 amiga-fdisk only for querying partition information.
 This is the version for non-Amiga systems.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)

INSTALL_TARGETS = install-cross

ifeq ($(ARCH),m68k)
INSTALL_TARGETS = install-non-bf install-bf
DH_EXTRAS=-Namiga-fdisk-cross
endif
ifeq ($(ARCH),powerpc)
INSTALL_TARGETS = install-non-bf install-bf
DH_EXTRAS=-Namiga-fdisk-cross
endif

# Only build packages ment for this architecture
export DH_OPTIONS=-a $(DH_EXTRAS)

# This has to be exported to make some magic below work.
export INSTALL_TARGETS

# Run autopkgtest from local environment
do_autopkgtest:
	autopkgtest -B -- null

build-non-bf: build-non-bf-stamp
build-non-bf-stamp:
	dh_testdir
	# Add here commands to compile the non-bf package.
	$(MAKE) clean	
	$(MAKE) CFLAGS+="-DUSE_READLINE=yes -I./include"

	touch build-non-bf-stamp

build-bf: build-bf-stamp
build-bf-stamp:
	dh_testdir
	# Add here commands to compile the bf package.
	$(MAKE) clean	
	$(MAKE) CFLAGS+="-DUSE_READLINE=no -I./include"

	touch build-bf-stamp

build-cross: build-cross-stamp
build-cross-stamp:
	dh_testdir
	# Add here commands to compile the cross package.
	$(MAKE) clean	
	$(MAKE) CFLAGS+="-DUSE_READLINE=yes -I./include"

	touch build-cross-stamp

build-arch: build

build-indep: build

build:

clean:
	dh_testdir
	dh_testroot
	rm -f build-non-bf-stamp build-bf-stamp build-cross-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean

install-non-bf: build-non-bf
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/amiga-fdisk.
	$(MAKE) install DESTDIR=`pwd`/debian/amiga-fdisk

install-bf: build-bf
	dh_testdir
	dh_testroot
	rm -rf debian/amiga-fdisk-bf
	dh_installdirs

	# Add here commands to install the package into debian/amiga-fdisk-bf.
	$(MAKE) install DESTDIR=`pwd`/debian/amiga-fdisk-bf

install-cross: build-cross
	dh_testdir
	dh_testroot
	rm -rf debian/amiga-fdisk-cross
	dh_installdirs

	# Add here commands to install the package into debian/amiga-fdisk-cross.
	$(MAKE) install DESTDIR=`pwd`/debian/amiga-fdisk-cross

install: $(INSTALL_TARGETS)
	echo $(INSTALL_TARGETS)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installman -A amiga-fdisk.8
	dh_installinfo
#	dh_undocumented
#	dh_installchangelogs -a ChangeLog
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/tests/control ===
Test-Command: /usr/sbin/amiga-fdisk -v
Depends: amiga-fdisk-cross
